<track id="vsnnr"><ruby id="vsnnr"><menu id="vsnnr"></menu></ruby></track>

  1. 更多>>Java程序設計 Blog

    The dependencies of some of the beans in the application context form a cycle: com.github.pagehelper.autoconfigure.PageHelperAutoConfiguration

    SpringBoot在啟動時報錯:APPLICATION FAILED TO START, The dependencies of some of the beans in the application context form a cycle:com.github.pagehelper.autoconfigure.PageHelperAutoConfiguration

    在啟動 SpringBoot 項目時,發現啟動失敗,所報錯誤如下:

    ***************************
    APPLICATION FAILED TO START
    ***************************
    
    Description:
    
    The dependencies of some of the beans in the application context form a cycle:
    
    ┌──->──┐
    |  com.github.pagehelper.autoconfigure.PageHelperAutoConfiguration
    └──<-──┘

    這是 SpringBoot pagehelp 分頁運行依賴自循環錯誤。

    出現這種錯誤大多是由于 SpringBoot 版本和 pagehelp 版本不匹配導致的。

    解決方法:

    可以適當提高 pagehelp 的版本號,或是適當降低 SpringBoot 的版本號。

            <dependency>

                <groupId>com.github.pagehelper</groupId>

                <artifactId>pagehelper-spring-boot-starter</artifactId>

                <version>1.4.1</version>

            </dependency>

    具體的可以在 https://mvnrepository.com/ 網站中查找。

    更換版本號,再次啟動就正常了。


    評論列表

    no_photo
    Cinema  
    Cinema

    2023-08-04 10:14:44

    發表評論

    用來接收審核回復提醒,請認真填寫

      換一張?
    captcha
    看不清?點擊圖片換一張
    黄色大片中文字欧美特片网_亚洲欧美国产图片视频_日韩黄色精品国产成人毛片_国产综合亚洲欧洲区
      <track id="vsnnr"><ruby id="vsnnr"><menu id="vsnnr"></menu></ruby></track>